org.apache.ignite.plugin.extensions.communication

## Interface MessageFormatter

All Superinterfaces:
  Extension

    public interface MessageFormatter
    extends Extension

Provides a custom format for communication messages.

A plugin can provide his own message factory as an extension to replace default format of communication messages.

Note that only one custom formatter is allowed. If two plugins provide different formatters, exception will be thrown on node startup.

### Method Summary

Methods
`MessageReader` `reader(UUID rmtNodeId, MessageFactory msgFactory)` Creates new message reader instance.
`MessageWriter` `writer(UUID rmtNodeId)` Creates new message writer instance.

### Method Detail

#### writer

    MessageWriter writer(UUID rmtNodeId)
                         throws IgniteCheckedException

Creates new message writer instance.

Parameters:
  `rmtNodeId` - Remote node ID.
Returns:
  Message writer.
Throws:
  `IgniteCheckedException` - In case of error.

#### reader

    MessageReader reader(UUID rmtNodeId,
                       MessageFactory msgFactory)
                         throws IgniteCheckedException

Creates new message reader instance.

Parameters:
  `rmtNodeId` - Remote node ID.
  `msgFactory` - Message factory.
Returns:
  Message reader.
Throws:
  `IgniteCheckedException` - In case of error.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017